Subject: Re: CPM2 early console

From: Kalle Pokki <[email-masked]>
Date: Fri, 23 Sep 2005 12:55:00 +0200

Rune Torgersen wrote:

>There is a bug in the SMC init code, wher the base address for the SMC's
>is not reinitialized by the kernel, so if the SMC is not initialized by
>the bootloader, it will not work.
>
>If that is the case, try this patch.
>  
>
The SMC was previously initialised, but I still upgraded to 2.6.14-rc2, 
which includes your patch. It still doesn't work, the buffer descriptor 
must be at a wrong address somehow since the board just hangs now in the 
same routine.

I did manage to decode the message coming to the console with the two 
leds onboard... it begun with "Linux ve", which at least looks like a 
good boot-up message :)